/*
 * Kersuizo para Windows
 * Gerardo Fernndez <gfh@euskalnet.net>
 * http://www.AjedrezVasco.com
 */

#include "minigui.ch"
#include "kersuizow.ch"
#include "winprint.ch"

Static cCodTorneo, HtmFich, nKLin, nCifrasNRdas, cTipoList, nRonda, dw1, dw2, dw3, dw4, dw5, nKDes
Static aDesemps[20], cFichDs, cCaminoProg, cUnidadProg, cFich, cJug, i, lTorNuevo
Static cTorneo1:='', cTorneo2:='', cFichero1:='', cFichero2:='', cAbrirNavSN:='S', cCamino
Static aRdos := { ' 1-0 ',' - ',' 0-1 ',' 1-0i','i0-1 ','i0-0i','i-i',' 1-1 ','     ' }
//Static aRdos := { ' 1-0 ',' - ',' 0-1 ',' 1-0i','i0-1 ','i0-0i','i-i',' 1-1 ','     ' }

/*
 * Programa principal
 */

Function Main

SET INTERACTIVECLOSE OFF

cCaminoProg:=CurDir()
cUnidadProg:=CurDrive()

/*
if file(GetWindowsFolder()+'\av.ini')
	MsgInfo('Encontrado')
else
	MsgInfo('No encontrado')
endif
*/

BEGIN INI FILE GetWindowsFolder()+'\av.ini'
	GET cTorneo1    SECTION 'KersuizoW' ENTRY 'Torneo1' DEFAULT ''
	GET cFichero1   SECTION 'KersuizoW' ENTRY 'Fichero1' DEFAULT ''
	GET cTorneo2    SECTION 'KersuizoW' ENTRY 'Torneo2' DEFAULT ''
	GET cFichero2   SECTION 'KersuizoW' ENTRY 'Fichero2' DEFAULT ''
	GET cAbrirNavSN SECTION 'KersuizoW' ENTRY 'AbrirNavegador' DEFAULT 'S'
END INI

//MsgInfo(cFichero1)

LOAD WINDOW ksw AS Frm        // Carga la definicion de ventana de ksw.fmg

  CENTER WINDOW Frm
  
  Frm.mnuRdos.Enabled:=.f.
  //Frm.mnuInFIDE.Enabled:=.f.
  //Frm.mnuInFEDA.Enabled:=.f.
  Frm.mnuInFVA.Enabled:=.f.
  //Frm.mnuFFEDA.Enabled:=.f.
  Frm.mnuFFVA.Enabled:=.f.
  
  ACTIVATE WINDOW Frm
  RELEASE WINDOW MAIN

Return nil

/*
 */

Function ElegirTorneo()
local cCuadro:='', cTorneos, cVar

//cVar:=descend('a')

//dbcloseall()

cCuadro:=GetFile ( {{"Archivos de cuadro", "cu*.dbf"}} , 'Elegir cuadro de torneo',;
  'c:\mis documentos\ajedrez\suizos2\' ) //'.\')
  
AbrirTorneo(cCuadro)

Return nil

/*
 * Abrir torneo del menu
 
 
Function AbrirTorneoMnu(cNumTorn)

//dbcloseall()

cFichT:='cFichero'+cNumTorn

//MsgInfo(cFichero1)
//cFichT:=&cFichT

AbrirTorneo(cFichero1)     //&cFichT)

Return nil

/*
 * Abrir torneo
 */
 
Function AbrirTorneo(cCuadro)

dbcloseall()

if len(trim(cCuadro))=0 .or. !file(cCuadro)
	MsgInfo('No se ha encontrado el torneo')
	NoTorneo()
	Frm.Title:=APLICACION

else
	SiTorneo()
  
	use (cCuadro) alias cuadro new exclusive
	
	/*  Creo que no hace falta anadirle el camino antes del nombre,
		porque ya estamos en la carpeta esa
	*/
	cTorneos:=left(cCuadro,rat('\',cCuadro))+'torneos'
	SetCurrentFolder(left(cCuadro,rat('\',cCuadro)-1))
	
	//use (cTorneos) index (cTorneos) alias torneos new
	use (cTorneos) alias torneos new exclusive
	cCodTorneo:=substr(cCuadro,rat('\',cCuadro)+1)
	cCodTorneo:=substr(cCodTorneo,3,len(cCodTorneo)-6)
	locate for upper(torneos->fichero)=upper(cCodTorneo)
	
	nCifrasNRdas:=if(torneos->n_rondas>9,2,1)
	Frm.Title:=APLICACION+' - '+torneos->torneo	
		
	// Comprobacin de que el torneo tiene todos los campos necesarios en KersuizoW
	if !FieldInFile("sexo","cuadro")
	   dbselectarea('cuadro')
	   use (cUnidadProg+':\'+cCaminoProg+'\ks\cuadrow.mod')
	   COPY STRU TO cuadrow.tmp
	   use cuadrow.tmp
	   APPEND FROM ('cu'+cCodTorneo)
	   dbclosearea()
	   //ERASE ('cu'+cCodTorneo+'.dbf')
	   if file('cu'+cCodTorneo+'.bak')
	      ERASE ('cu'+cCodTorneo+'.bak')
	   endif
	   RENAME ('cu'+cCodTorneo+'.dbf') TO ('cu'+cCodTorneo+'.bak')
	   RENAME cuadrow.tmp TO ('cu'+cCodTorneo+'.dbf')
	   use ('cu'+cCodTorneo) alias cuadro new exclusive
	
	   MsgInfo('KesuizoW ha aadido al torneo campos necesarios en esta versin'+;
	            CRLF+;        //chr(10)+chr(13)+;
	            'A partir de este momento no se debe utilizar la opcin '+;
	            CRLF+;        //chr(10)+chr(13)+;
	            'ACTUALIZAR ESTRUCTURA DE LOS FICHEROS de Kersuizo para DOS ')
	
	endif
	
	if torneos->torneo<>cTorneo1 .or. len(trim(cTorneo1))=0
	
		BEGIN INI FILE GetWindowsFolder()+'\av.ini'
   			SET SECTION 'KersuizoW' ENTRY 'Torneo2'  TO cTorneo1
   			SET SECTION 'KersuizoW' ENTRY 'Fichero2' TO cFichero1
   			SET SECTION 'KersuizoW' ENTRY 'Torneo1'  TO torneos->torneo
   			SET SECTION 'KersuizoW' ENTRY 'Fichero1' TO cCuadro
		END INI
	endif
	
	dbselectarea('cuadro')
	
endif

Return Nil

/*
 * Hojear torneos
 */

Function HojearTorneos()
//local cArea:=Alias()

dbselectarea('torneos')

LOAD WINDOW ksht AS FrmHT

  CENTER WINDOW FrmHT
  ACTIVATE WINDOW FrmHT
  RELEASE WINDOW
  
//dbselectarea(cArea)

Return Nil

/*
 * Principio del programa
 */

Function Inicializacion()
ksini()

cVar:=descend('a')

dbcloseall()

NoTorneo()
Frm.Title:=APLICACION

//ElegirTorneo()

Return Nil

/*
 */

Function ksini()
  SET CENTURY ON
  SET EPOCH TO 1950
  SET DATE ITAL
  SET DELETED ON
  SET EXCLUSIVE OFF
  SET SOFTSEEK ON
Return nil

/*
 * Fin del programa
 */

Function FinProg()

  dbcloseall()  

Return Nil

/*
 * Funcin vaca, para versiones futuras del programa
 */

Function NoHagasNada()

  MsgInfo('Opcin no disponible por el momento')

Return Nil

/*
 */
/*----------------------------------------- Archivos ------------------------------------------------------*/
#include "ksclas.prg"
#include "f_k.prg"
#include "kscfgds.prg"
#include "kscfgs.prg"
#include "kspremios.prg"
#include "kshtml.prg"
#include "kspgn.prg"
#include "kstorneo.prg"
#include "ksinfs.prg"
#include "ksmenus.prg"
#include "ksbasejugs.prg"
#include "ksimpor.prg"
#include "kslists.prg"
