/*
 * Configuracin listado clasificacin
 */
 
Function CfgLisClas()

LOAD WINDOW kscfglc AS FrmCfgLC

use cclas new exclusive

   FrmCfgLC.Center
   FrmCfgLC.Activate
   RELEASE WINDOW

cclas->(dbclosearea())   
   
Return nil


/*
 *
 */
 
Function CambiarDatoClas()

cclas->(dbgoto(FrmCfgLC.brwCClas.Value))

Replace cclas->sn with !cclas->sn
FrmCfgLC.brwCClas.Refresh

Return nil

/*
 * Establecer cul es el fichero del Elo FIDE
 */
 
Function CfgFIDE()
local cFichFIDE:=''

if file(GetWindowsFolder()+'\av.ini')
	BEGIN INI FILE GetWindowsFolder()+'\av.ini'
    	GET cFichFIDE SECTION 'KersuizoW' ENTRY 'EloFide' DEFAULT ''
	END INI
endif

if EMPTY(cFichFIDE) .or. MsgYesNo('Cambiar el fichero de Elo FIDE'+CRLF+cFichFIDE+'?')

	cFichFIDE:=GetFile( {{'Ficheros .dbf', '*.dbf'}} , 'Elija el fichero de elo FIDE ms reciente', 'c:\mis documentos\' , .f. , .t.)
	
	if !EMPTY(cFichFIDE)
		BEGIN INI FILE GetWindowsFolder()+'\av.ini'
    		SET SECTION 'KersuizoW' ENTRY 'EloFide' TO cFichFIDE
		END INI
	endif

endif

Return nil

/*
 * Establecer cul es el fichero del Elo FEDA
 */
 
Function CfgFEDA()
local cFichFEDA:=''

if file(GetWindowsFolder()+'\av.ini')
	BEGIN INI FILE GetWindowsFolder()+'\av.ini'
    	GET cFichFEDA SECTION 'KersuizoW' ENTRY 'EloFEDA' DEFAULT ''
	END INI
endif

if EMPTY(cFichFEDA) .or. MsgYesNo('Cambiar el fichero de Elo FEDA'+CRLF+cFichFEDA+'?')

	cFichFEDA:=GetFile( {{'Ficheros .dbf', '*.dbf'}} , 'Elija el fichero de elo FEDA ms reciente', 'c:\mis documentos\' , .f. , .t.)
	
	if !EMPTY(cFichFEDA)
		BEGIN INI FILE GetWindowsFolder()+'\av.ini'
    		SET SECTION 'KersuizoW' ENTRY 'EloFeda' TO cFichFEDA
		END INI
	endif

endif

Return nil

/*
 * Establecer cul es el fichero del Elo FVA
 */
 
Function CfgFVA()
local cFichFVA:=''

if file(GetWindowsFolder()+'\av.ini')
	BEGIN INI FILE GetWindowsFolder()+'\av.ini'
    	GET cFichFVA SECTION 'KersuizoW' ENTRY 'EloFva' DEFAULT ''
	END INI
endif

if EMPTY(cFichFVA) .or. MsgYesNo('Cambiar el fichero de Elo FVA'+CRLF+cFichFVA+'?')

	cFichFVA:=GetFile( {{'Ficheros .dbf', '*.dbf'}} , 'Elija el fichero de elo FVA ms reciente', 'c:\mis documentos\' , .f. , .t.)
	
	if !EMPTY(cFichFVA)
		BEGIN INI FILE GetWindowsFolder()+'\av.ini'
    		SET SECTION 'KersuizoW' ENTRY 'EloFva' TO cFichFVA
		END INI
	endif

endif

Return nil

/*
 * Reindexar (de momento slo fichero de torneos de la carpeta donde estemos)
 */
 
Function KsNtx()

torneos->(ordlistrebuild())

Return nil

/*
 * Configurar nmero de partidas necesarias para conseguir serie
 */
 
Function CfgParSerie()
local cNumParSerie:='3'

if file(GetWindowsFolder()+'\av.ini')
	BEGIN INI FILE GetWindowsFolder()+'\av.ini'
    	GET cNumParSerie SECTION 'KersuizoW' ENTRY 'NumParSerie' DEFAULT '3'
	END INI
endif

if EMPTY(cNumParSerie) .or. MsgYesNo('Cambiar el nmero de partidas para serie, que ahora son '+cNumParSerie+'?')

	cNumParSerie:=InputBox ('Nuevo mnimo de partidas para serie','Atencin', cNumParSerie)

	if !EMPTY(cNumParSerie)
		BEGIN INI FILE GetWindowsFolder()+'\av.ini'
    		SET SECTION 'KersuizoW' ENTRY 'NumParSerie' TO cNumParSerie
		END INI
	endif

endif

Return nil

/*
 * Configurar nmero de puntos necesarios para conseguir serie vlida
 */
 
Function CfgPtsSerie()
local cNumPtsSerie:='1'

if file(GetWindowsFolder()+'\av.ini')
	BEGIN INI FILE GetWindowsFolder()+'\av.ini'
    	GET cNumPtsSerie SECTION 'KersuizoW' ENTRY 'NumPtsSerie' DEFAULT '1'
	END INI
endif

if EMPTY(cNumPtsSerie) .or. MsgYesNo('Cambiar el nmero de puntos para serie, que ahora son '+cNumPtsSerie+'?')

	cNumPtsSerie:=InputBox ('Nuevo mnimo de puntos para serie','Ejemplo -> 0.5', cNumPtsSerie)

	if !EMPTY(cNumPtsSerie)
		BEGIN INI FILE GetWindowsFolder()+'\av.ini'
    		SET SECTION 'KersuizoW' ENTRY 'NumPtsSerie' TO cNumPtsSerie
		END INI
	endif

endif

Return nil

/*
 * Configurar apertura o no del navegador tras informes HTML
 */
 
Function CfgAbrNav()

if file(GetWindowsFolder()+'\av.ini')
	BEGIN INI FILE GetWindowsFolder()+'\av.ini'
		GET cAbrirNavSN SECTION 'KersuizoW' ENTRY 'AbrirNavegador' DEFAULT 'S'
	END INI
endif

if MsgYesNo('Cambiar la configuracin de apertura del navegador tras listados, que ahora es '+cAbrirNavSN+'?')

	cAbrirNavSN:=InputBox ('Nuevo valor (S/N)','', cAbrirNavSN)

	if !EMPTY(cAbrirNavSN)
		BEGIN INI FILE GetWindowsFolder()+'\av.ini'
    		SET SECTION 'KersuizoW' ENTRY 'AbrirNavegador' TO cAbrirNavSN
		END INI
	endif

endif

Return nil
