/*
 * Hojear premios
 */
 
Function HojearPremios()

if file('pr'+cCodTorneo+'.dbf')
  use ('pr'+cCodTorneo) alias premios new
  if file('pr'+cCodTorneo+'.ntx')
     ordlistadd('pr'+cCodTorneo)
  else
     dbcreateindex('pr'+cCodTorneo,'premios->id_categor+premios->premio',{ || premios->id_categor+premios->premio })
  endif
else
  //MsgInfo(curdir())
  //cTmp:=cCaminoProg+'\premios.mod'
  use (cUnidadProg+':\'+cCaminoProg+'\ks\premios.mod') alias premios new
  copy to ('pr'+cCodTorneo)
  premios->(dbclosearea())
  use ('pr'+cCodTorneo) alias premios new
  dbcreateindex('pr'+cCodTorneo,'premios->id_categor+premios->premio',{ || premios->id_categor+premios->premio })
endif

LOAD WINDOW kshojearpremios AS FrmHPr

  FrmHPr.Center
  FrmHPr.Activate
  //FrmHPr.Release

premios->(dbclosearea())
    
Return nil

/*
 * Nuevo premio
 */
 
Function NuevoPr()  

LOAD WINDOW kseditarpremionuevo AS FrmEdPrN

  FrmEdPrN.txtPREMIO.Value:=space(20)         //premios->PREMIO
  FrmEdPrN.txtID_CATEGOR.Value:=' '           //premios->ID_CATEGOR
  FrmEdPrN.txtCANTIDAD.Value:=0               //premios->CANTIDAD
  FrmEdPrN.chkACUMULABLE.Value:=.f.           //premios->ACUMULABLE
  FrmEdPrN.txtJUGADOR.Value:=space(30)        //premios->JUGADOR

  FrmEdPrN.Center
  FrmEdPrN.Activate
  //FrmEdPr.Release
  FrmHPr.brwPr.Refresh

Return nil


/*
 * Editar un premio
 */
 
Function EditarPr()  

premios->(dbgoto(FrmHPr.brwPr.Value))

LOAD WINDOW kseditarpremios AS FrmEdPr

  FrmEdPr.txtPREMIO.Value:=premios->PREMIO
  FrmEdPr.txtID_CATEGOR.Value:=premios->ID_CATEGOR
  FrmEdPr.txtCANTIDAD.Value:=premios->CANTIDAD
  FrmEdPr.chkACUMULABLE.Value:=premios->ACUMULABLE
  FrmEdPr.txtJUGADOR.Value:=premios->JUGADOR

  FrmEdPr.Center
  FrmEdPr.Activate
  //FrmEdPr.Release
  FrmHPr.brwPr.Refresh

Return nil

/*
 * Borrar un premio
 */

Function BorrarPr()

  premios->(dbgoto(FrmHPr.brwPr.Value))

  if MsgYesNo('Confirme borrado del premio:'+CRLF+premios->premio)
    if premios->(rlock())
      premios->(dbdelete())
      premios->(dbunlock())
    else
      MsgInfo('No se ha podido eliminar el premio')
    endif
  endif

  FrmHPr.brwPr.Refresh

Return nil

/*
 * Grabar premio
 */
 
Function fEdPrOk()

if rlock()

  REPLACE premios->PREMIO WITH FrmEdPr.txtPREMIO.Value
  REPLACE premios->ID_CATEGOR WITH FrmEdPr.txtID_CATEGOR.Value
  REPLACE premios->CANTIDAD WITH FrmEdPr.txtCANTIDAD.Value
  REPLACE premios->ACUMULABLE WITH FrmEdPr.chkACUMULABLE.Value
  REPLACE premios->JUGADOR WITH FrmEdPr.txtJUGADOR.Value

  premios->(dbunlock())
  
else
  MsgInfo('No se ha podido grabar el premio')

endif

FrmEdPr.Release

Return nil

/*
 * Grabar premio nuevo
 */
 
Function fEdPrNOk()

premios->(dbappend())
if !neterr()

  REPLACE premios->PREMIO WITH FrmEdPrN.txtPREMIO.Value
  REPLACE premios->ID_CATEGOR WITH FrmEdPrN.txtID_CATEGOR.Value
  REPLACE premios->CANTIDAD WITH FrmEdPrN.txtCANTIDAD.Value
  REPLACE premios->ACUMULABLE WITH FrmEdPrN.chkACUMULABLE.Value
  REPLACE premios->JUGADOR WITH FrmEdPrN.txtJUGADOR.Value

  premios->(dbunlock())
  
else
  MsgInfo('No se ha podido grabar el premio')

endif

FrmEdPrN.Release

Return nil

/*
 * Editar premios a los que opta cada jugador
 */
 
Function EditarCuadroPremios()

dbselectarea('cuadro')  // Necesario con el nuevo BROWSE con EDIT

LOAD WINDOW kshojearcuadropremios AS FrmHCPr


  FrmHCPr.Center
  FrmHCPr.Activate
  RELEASE WINDOW

Return nil


/*
 * Hace el reparto de premios
 */

Function CalcularPremios()
private aPremios[cuadro->(lastrec())]

	if !cuadro->(flock())
  		MsgInfo('El Cuadro de jugadores est siendo utiliado por otro programa'+CRLF+;
        		'No se pueden calcular los premios')
  		Return nil
	endif
	
	if !file('pr'+cCodTorneo+'.dbf')
   		MsgInfo('Debe introducir los premios primero')
   		Return nil
	endif
	
	afill(aPremios,'')
	
	nRonda:=torneos->n_rondas
	ksclas()
	
	cuadro->(ordlistadd('suclas.tmp'))
	
	use ('pr'+cCodTorneo) alias premios new
	dbcreateindex('pr'+cCodTorneo+'_c','descend(premios->cantidad)',{ || descend(premios->cantidad) })
	
	dbeval( { || AsignarPremio() } )

	premios->(dbclosearea())
	cuadro->(ordlistclear())
	cuadro->(dbunlock())
		
Return nil

/*
 * Asignacin de un premio
 */
 
Function AsignarPremio()
private lEnc:=.f.

if len(trim(premios->id_categor))>0 .and. !FieldInFile('premios','cuadro')
   MsgInfo('Para asignar premios especiales primero'+CRLF+ ;
           'hay que establecer quines optan a ellos')
else
   cuadro->(dbeval( { || ComprobarPremioJug() } , { || !cuadro->(eof()) .and. !lEnc }))
endif
if !lEnc
	//desierto
	if premios->(rlock())
		replace premios->jugador with 'Desierto'
		premios->(dbunlock())
	else
		MsgInfo('No se ha podido bloquear el premio '+premios->premio+CRLF+ ;
			    	    'para anotar que ha quedado desierto')
	endif
endif

	
Return nil

/*
 * Comprobar si un jugador tiene premio
 */
 
Function ComprobarPremioJug()

if len(trim(premios->id_categor))=0 .or. upper(trim(premios->id_categor))="G"
	// Premio general

	if premios->acumulable
		// Asignar el premio al jugador si no lo tiene ya
		if at('G',upper(aPremios[cuadro->num]))=0
			if premios->(rlock())
				replace premios->jugador with cuadro->jug, premios->numjug with cuadro->num
				premios->(dbunlock())
				aPremios[cuadro->num]+='g'
				lEnc:=.t.
			else
				MsgInfo('No se ha podido bloquear el premio '+premios->premio+CRLF+ ;
			    	    'para asignarle el jugador '+cuadro->jug)
			endif
		endif
	else
	    if len(trim(aPremios[cuadro->num]))=0
			if premios->(rlock())
				replace premios->jugador with cuadro->jug, premios->numjug with cuadro->num
				premios->(dbunlock())
				aPremios[cuadro->num]+='g'
				lEnc:=.t.
			else
				MsgInfo('No se ha podido bloquear el premio '+premios->premio+CRLF+ ;
			    	    'para asignarle el jugador '+cuadro->jug)
			endif
		endif
	endif
	
else
	// Premio especial

	if premios->acumulable
		// Asignar el premio al jugador si es de esa categora 
		// y no lo tiene ya
		if at(upper(premios->id_categor),upper(aPremios[cuadro->num]))=0 .and. ;
			upper(trim(premios->id_categor))$upper(cuadro->premios)
			
			if premios->(rlock())
				replace premios->jugador with cuadro->jug, premios->numjug with cuadro->num
				premios->(dbunlock())
				aPremios[cuadro->num]+=premios->id_categor
				lEnc:=.t.
			else
				MsgInfo('No se ha podido bloquear el premio '+premios->premio+CRLF+ ;
			    	    'para asignarle el jugador '+cuadro->jug)
			endif
		endif
	else
	    if len(trim(aPremios[cuadro->num]))=0 .and. ;
			upper(trim(premios->id_categor))$upper(cuadro->premios)
			if premios->(rlock())
				replace premios->jugador with cuadro->jug, premios->numjug with cuadro->num
				premios->(dbunlock())
				aPremios[cuadro->num]+=premios->id_categor
				lEnc:=.t.
			else
				MsgInfo('No se ha podido bloquear el premio '+premios->premio+CRLF+ ;
			    	    'para asignarle el jugador '+cuadro->jug)
			endif
		endif
	endif
	
endif

Return nil

/*
 * Nuevos premios
 */
 
Function NuevosPr()
local aTipoPremio:= {'General','Juvenil','Mujer','Veterano','Local', ;
			'Preferente','Primera','Segunda','Tercera','No federado', ;
			'Infantil','Alevin','Benjamin','Belleza'}
local lAcum:=.f. , nPrs:=0

LOAD WINDOW kspremiosnuevos AS FrmPrsNuevos

	FrmPrsNuevos.txtnPrs.Value:=nPrs
	FrmPrsNuevos.chkAcumulables.Value:=lAcum

  FrmPrsNuevos.Center
  FrmPrsNuevos.Activate
  //FrmEdPr.Release
  FrmHPr.brwPr.Refresh

Return nil
/*
 * Grabar nuevos premios
 */

Function fPrNsOk()
local i,cPremiow
local aClavePremio:= {'','j','m','v','l','p','1','2','3','n','i','a','b','x'}

if FrmPrsNuevos.txtNPrs.Value>0

	for i:=1 to FrmPrsNuevos.txtNPrs.Value

		premios->(dbappend())
		
		if !neterr()

      cPremiow:=FrmPrsNuevos.cbxTipoPremios.Item(FrmPrsNuevos.cbxTipoPremios.Value)
      if cPremiow='General'
        cPremiow:='Premio'
      endif
			REPLACE premios->PREMIO WITH alltrim(str(i))+'. '+cPremiow
			REPLACE premios->ID_CATEGOR WITH aClavePremio[FrmPrsNuevos.cbxTipoPremios.Value]
			//REPLACE premios->CANTIDAD WITH FrmEdPrN.txtCANTIDAD.Value
			REPLACE premios->ACUMULABLE WITH FrmPrsNuevos.chkACUMULABLES.Value
			//REPLACE premios->JUGADOR WITH FrmEdPrN.txtJUGADOR.Value

  			premios->(dbunlock())
  
		else
		
  			MsgInfo('No se ha podido grabar el premio')

		endif

	next
	
endif
		
FrmPrsNuevos.Release

Return nil

/*
 * Pone la categora de cada jugador (si es Pref, 1, 2 o 3) en los premios a los que opta
 */

Function PonCatPr()

if !cuadro->(flock())
	MsgInfo('El Cuadro de jugadores est siendo utiliada por otro programa'+CRLF+;
        	'No se pueden poner las categoras')
  	Return nil
endif

cuadro->(dbeval( { || PonCatPr1() } , { || cuadro->cat$'pP123' .and. .not. cuadro->cat$cuadro->premios } ))

cuadro->(dbunlock())

FrmHCPr.brwCPr.Refresh

Return nil

/*
 * Pone la categora de 1 jugador (si es Pref, 1, 2 o 3) en los premios a los que opta
 */

Function PonCatPr1()

REPLACE cuadro->premios with alltrim(cuadro->premios)+cuadro->cat

Return nil

/*
 * Pone todos los premios como acumulables o no
 */

Function PonPrAcum(lValor)

if premios->(flock())

	premios->(dbeval( { || PonPrAcum1(lValor) } ))
	premios->(dbunlock())
	FrmHPr.brwPr.Refresh

else
	MsgInfo('La tabla de premios est siendo utilizada por otro programa'+CRLF+;
        	'No se pueden actualizar los premios')

endif

Return nil

/*
 * Pone un premio como acumulable o no
 */

Function PonPrAcum1(lValor)

REPLACE premios->acumulable with lValor

Return nil
/*
 * Listado HTML de los premios
 */

Function LisHtmPr(cFHtm)

if !file('pr'+cCodTorneo+'.dbf')

  MsgInfo('No se han definido premios en este torneo')

else
  
  use ('pr'+cCodTorneo) alias premios new
  if file('pr'+cCodTorneo+'.ntx')
     ordlistadd('pr'+cCodTorneo)
  else
     dbcreateindex('pr'+cCodTorneo,'premios->id_categor+premios->premio',{ || premios->id_categor+premios->premio })
  endif

//  HtmFich := Html_Ini("\"+CurDir()+"\"+'ks'+lower(torneos->fichero)+"pr.htm",alltrim(torneos->torneo),;
  HtmFich := Html_Ini("\"+CurDir()+"\"+cFHtm+".htm",alltrim(torneos->torneo),;
             trim(torneos->localidad)+', '+if(torneos->fecha_ini=torneos->fecha_fin,dtoc(torneos->fecha_ini),'del '+dtoc(torneos->fecha_ini)+' al '+dtoc(torneos->fecha_fin)))

  Html_LineText(HtmFich, '<p class="updated">Premios')
  Html_Line(HtmFich)

  Html_Text(HtmFich,'<pre>')

  CabeceraPr()

  //Html_Line(HtmFich)

  nKLin:=0
  cCatw:='xyxyx'

  dbeval({|| ProcLinPr()})

/*  if nKLin%5<>0
    Html_Line(HtmFich)
  endif
*/
  Html_Line(HtmFich)
  Html_Text(HtmFich,'</pre>')

  PieHtml(HtmFich)
  Html_End(HtmFich)
  
  premios->(dbclosearea())

endif

Return nil

/*
 * Cabecera de listado de premios
 */
Function CabeceraPr()
local cLin

  cLin:='Premio          Categora Cantidad Acumulable Jugador'

  Html_LineTextK(HtmFich,cLin)

Return nil

/*
 * Cada lnea del listado de premios
 */
Function ProcLinPr()
local cLin

  nKLin++
  if premios->id_categor<>cCatw
    Html_Line(HtmFich)
    cCatw:=premios->id_categor
  endif

  cLin:=premios->premio+' '+premios->id_categor+space(8)
  cLin+=tran(premios->cantidad,"@Z####")+space(5)+if(premios->acumulable,'S','No')
  cLin+=+space(5)+premios->jugador

  Html_LineTextK(HtmFich,cLin)

//  if nKLin%5=0

Return nil

/*
 */


