/*
Function VerCuadro()
Function VerEmparej()
Function DesactEmparejs()
Function DesactBajas()
Function PonerJug()
Function QuitarJug()
Function VerRdos()
Function PonerRdo()
Function TorneoNuevo()
Function EditarTorneoHT()
Function EditarTorneo()
Function fOk()
Function fGrabarTorneo()
Function CrearFichsTorneo()
Function ValidarRdos()
Function ValidarPareo()
Function QuitaDatRda()
Function ProcPareo()
Function OtrasComprs()
Function CrearOF(cTipo)
Function PonNum()
Function BorrJugCuadro()
Function NuevoJugCuadro()
Function AbrirTorneoHT()
Function BorrarTorneoHT()
*/

/*
 * Ver cuadro del torneo (algunos datos)
 */ 
 
Function VerCuadro()

dbselectarea('cuadro')

LOAD WINDOW kscuadro AS FrmCuadro

  CENTER WINDOW FrmCuadro
  ACTIVATE WINDOW FrmCuadro
  RELEASE WINDOW
  
Return nil

/*
 * Ver emparejamiento de una ronda
 */ 
 
Function VerEmparej()
local aRondas[torneos->n_rondas], cBoton, c1BN, nNC, cV1

aeval(aRondas, {|cValor,nIndice| aRondas[nIndice] := alltrim(str(nIndice)) } )

LOAD WINDOW ksronda AS FrmElegRda

	FrmElegRda.lblFichero.Visible:=.f.
	FrmElegRda.txtFichero.Visible:=.f.
	FrmElegRda.lblRonda.Row:=40
	FrmElegRda.cbxRdas.Row:=40

  CENTER WINDOW FrmElegRda
  ACTIVATE WINDOW FrmElegRda

cFichRda='r'+alltrim(str(nRonda))+cCodTorneo
use (cFichRda) alias ronda new exclusive

if nRonda=1
	if MsgYesNo('Emparejamiento automtico?','Cuidado!')
		if MsgYesNo('Juega el nmero 1 del ranking con blancas?','Responda No si el 1 juega con negras')
			// 1 con blancas
			c1BN:='B'
		else
			// 1 con negras
			c1BN:='N'
		endif
		
		nNC=1

		//Emparejamiento
		do while nNC<=int(torneos->n_jugs/2) .and. !eof()
		
			cV1:="ronda->jug_"+c1BN
    		replace &cV1 WITH nNC
    		cV1:="ronda->jug_"+if(c1BN="B","N","B")
			replace &cV1 WITH nNC+int(torneos->n_jugs/2)
    		c1BN:=if(c1BN="B","N","B")
    		nNC++
    		ronda->(dbskip())
    		
		enddo
		
		//Si son impares poner el ltimo contra nadie
		if torneos->n_jugs/2<>int(torneos->n_jugs/2) .and. !eof()
  			replace ronda->jug_b with torneos->n_jugs
  			replace ronda->jug_n with 0
  			ronda->(dbskip())
  		endif
  		
  		//Rellenar el resto de la ronda con 0, por si haba datos anteriores
		do while !eof()
			replace ronda->jug_b with 0
			replace ronda->jug_n with 0
  			ronda->(dbskip())
		enddo
		ronda->(dbgotop())
	endif
endif

DEFINE WINDOW FrmEE ;
  AT 0,0 ;
  WIDTH max(400,350+int(torneos->n_jugs/10)*35) ;
  HEIGHT 440 ;
  TITLE 'Emparejamiento de la ronda '+alltrim(str(nRonda)) ; 
  MODAL

  @ 005,005 BROWSE brwPareo ;
    WIDTH 250 HEIGHT 350 ;
    HEADERS { "Mesa","Blancas", "Negras", "Resultado" } ;
    WIDTHS { 50, 60, 60, 70 } ;
    WORKAREA ronda ;
    FIELDS { "str(ronda->(recno()),3)", "ronda->JUG_B", "ronda->JUG_N", "ronda->RDO" } ;
    VALUE 1 ; //    EDIT INPLACE ;    READONLY { .t., .f. , .f. , .t. } ;    LOCK ;
    FONT CLETRA SIZE TLETRA ;
    JUSTIFY {  BROWSE_JTFY_LEFT, BROWSE_JTFY_LEFT,  BROWSE_JTFY_LEFT,  BROWSE_JTFY_LEFT }
    
	@ 5,270 RADIOGROUP rdgBN ;
		OPTIONS { 'Blancas' , 'Negras' } ;
		VALUE 1 ;
		WIDTH 70 ;
		TOOLTIP 'Color al que ira el jugador' // ON CHANGE PLAYOK() 
		
	@ 15,350 BUTTON btnBorrar PICTURE 'borrar' ;
		ACTION QuitarJug() WIDTH 30 HEIGHT 25  ;
		TOOLTIP 'Quitar jugador de blancas o negras del emparejamiento'
	
	for i:=1 to torneos->n_jugs
	
		cBoton:='btnJug'+strzero(i,3)
	
		@ 60+30*(i-1-10*int((i-1)/10)),270+35*int((i-1)/10) BUTTON &cBoton ;
			CAPTION alltrim(str(i)) ;
            ACTION PonerJug() ; 
            WIDTH 30
      
	next
    

  @ FrmEE.Height-70,10 FRAME Frame1 WIDTH FrmEE.Width-20 HEIGHT 1

  @ FrmEE.Height-65,FrmEE.Width-40 BUTTON btnOk PICTURE "ok" ACTION (ValidarPareo(),FrmEE.Release) WIDTH 30 HEIGHT 25

END WINDOW

// Ocultar botones de los ya emparejados
ronda->(dbeval({ || DesactEmparejs() } , { || ronda->jug_b>0 }))

// Ocultar botones de las bajas
cuadro->(dbeval({ || DesactBajas() } , { || cuadro->baja }))


  CENTER WINDOW FrmEE
  ACTIVATE WINDOW FrmEE

ronda->(dbclosearea())
dbselectarea('cuadro')

Return nil

/*
 * Desactivar ya emparejados
 */ 
 
Function DesactEmparejs()
local cBoton

cBoton:='btnJug'+strzero(ronda->jug_b,3)
SetProperty('FrmEE',cBoton,'visible',.f.)

if ronda->jug_n>0
	cBoton:='btnJug'+strzero(ronda->jug_n,3)
	SetProperty('FrmEE',cBoton,'visible',.f.)
endif

Return nil

/*
 * Desactivar ya emparejados
 */ 
 
Function DesactBajas()
local cBoton

cBoton:='btnJug'+strzero(cuadro->num,3)
SetProperty('FrmEE',cBoton,'enabled',.f.)

Return nil

/*
 * Poner Jugador
 */ 
 
Function PonerJug()
local cBoton

this.hide
ronda->(dbgoto(FrmEE.brwPareo.Value))

if FrmEE.rdgBN.value=1
	// Jug blancas
	if ronda->jug_b>0
		cBoton:='btnJug'+strzero(ronda->jug_b,3)
		SetProperty('FrmEE',cBoton,'visible',.t.)
	endif
	REPLACE ronda->jug_b with val(this.Caption)
	FrmEE.rdgBN.value:=2       // Cambio a negras
else
	// Jug negras
	if ronda->jug_n>0
		cBoton:='btnJug'+strzero(ronda->jug_n,3)
		SetProperty('FrmEE',cBoton,'visible',.t.)
	endif
	REPLACE ronda->jug_n with val(this.Caption)
	FrmEE.rdgBN.value:=1	     // Cambio a blancas
	FrmEE.brwPareo.Value:=FrmEE.brwPareo.Value+1   // Paso a sig. mesa
endif
//this.Hide

FrmEE.brwPareo.Refresh

Return nil

/*
 * Quitar Jugador del emparejamiento
 */ 
 
Function QuitarJug()

ronda->(dbgoto(FrmEE.brwPareo.Value))

if FrmEE.rdgBN.value=1
	// Jug blancas
	if ronda->jug_b>0
		cuadro->(dbgoto(ronda->jug_b))
		cBoton:='btnJug'+strzero(ronda->jug_b,3)
		SetProperty('FrmEE',cBoton,'visible',.t.)
		if cuadro->baja=.t.
			SetProperty('FrmEE',cBoton,'enabled',.f.)
		endif
	endif
	REPLACE ronda->jug_b with 0
	FrmEE.rdgBN.value:=2       // Cambio a negras
else
	// Jug negras
	if ronda->jug_n>0
		cuadro->(dbgoto(ronda->jug_n))
		cBoton:='btnJug'+strzero(ronda->jug_n,3)
		SetProperty('FrmEE',cBoton,'visible',.t.)
		if cuadro->baja=.t.
			SetProperty('FrmEE',cBoton,'enabled',.f.)
		endif
	endif
	REPLACE ronda->jug_n with 0
	FrmEE.rdgBN.value:=1	     // Cambio a blancas
	FrmEE.brwPareo.Value:=FrmEE.brwPareo.Value+1   // Paso a sig. mesa
endif

FrmEE.brwPareo.Refresh

Return nil

/*
 * Ver resultados de una ronda
 */ 
 
Function VerRdos()
local aRondas[torneos->n_rondas]

aeval(aRondas, {|cValor,nIndice| aRondas[nIndice] := alltrim(str(nIndice)) } )

LOAD WINDOW ksronda AS FrmElegRda

	FrmElegRda.lblFichero.Visible:=.f.
	FrmElegRda.txtFichero.Visible:=.f.
	FrmElegRda.lblRonda.Row:=40
	FrmElegRda.cbxRdas.Row:=40

  CENTER WINDOW FrmElegRda
  ACTIVATE WINDOW FrmElegRda

cFichRda='r'+alltrim(str(nRonda))+cCodTorneo
use (cFichRda) alias ronda new exclusive

DEFINE WINDOW FrmER ;
  AT 0,0 ;
  WIDTH 320 ;
  HEIGHT 400 ;
  TITLE 'Resultados de la ronda '+alltrim(str(nRonda)) ; 
  MODAL

  @ 005,005 BROWSE brwRdos ;
    WIDTH 200 HEIGHT 300 ;
    HEADERS { "Blancas", "Negras", "Resultado" } ;
    WIDTHS { 60, 60, 70 } ;
    WORKAREA ronda ;
    FIELDS { "ronda->JUG_B", "ronda->JUG_N", "ronda->RDO" } ;
    VALUE 1 ;
    FONT CLETRA SIZE TLETRA ; 
    JUSTIFY {  BROWSE_JTFY_LEFT,  BROWSE_JTFY_LEFT,  BROWSE_JTFY_LEFT }
    
	for i:=1 to len(aRdos)
  
		cButton:="btnRdo"+strzero(i,2)
  
		@ 30*i,250 BUTTON &cButton;
                   CAPTION aRdos[i] ; 
                   ACTION PonerRdo() ; 
                   WIDTH 40
      
	next

  @ FrmER.Height-70,10 FRAME Frame1 WIDTH 380 HEIGHT 1

  @ FrmER.Height-65,FrmER.Width-40 BUTTON btnOk PICTURE "ok" ACTION (ValidarRdos(),FrmER.Release) WIDTH 30 HEIGHT 25

END WINDOW

  CENTER WINDOW FrmER
  ACTIVATE WINDOW FrmER

ronda->(dbclosearea())
dbselectarea('cuadro')

Return nil

/*
 * Poner Resultado
 */ 
 
Function PonerRdo()

ronda->(dbgoto(FrmER.brwRdos.Value))

REPLACE ronda->rdo with this.Caption

FrmER.brwRdos.Value:=FrmER.brwRdos.Value+1
FrmER.brwRdos.Refresh

Return nil

/*
 * Nuevo torneo
 */ 
 
Function TorneoNuevo()
//local cCamino           La paso a Static

dbcloseall()
cCamino:=GetFolder('Crear torneo nuevo en...')

if len(trim(cCamino))=0
	MsgInfo('No ha elegido la localizacion del torneo')
	Return nil
endif

//Hacer el curdir() a la localizacion elegida
SetCurrentFolder(cCamino)

if !file('torneos.dbf')
	use (cUnidadProg+':\'+cCaminoProg+'\ks\torneos.mod') new
	COPY STRU TO torneos
	dbclosearea()
endif

use torneos alias torneos new exclusive

	lTorNuevo=.t.

LOAD WINDOW kset AS FrmET

  FrmET.txtFICHERO.Value:='' //len(Torneos->FICHERO)
  FrmET.txtTORNEO.Value:='' //len(Torneos->TORNEO)
  FrmET.fecFeCHA_INI.Value:=date()
  FrmET.fecFeCHA_FIN.Value:=date()
  FrmET.txtLOCALIDAD.Value:='' //len(Torneos->LOCALIDAD)
  FrmET.txtN_JUGS.Value:=0
  FrmET.txtN_RONDAS.Value:=0
  FrmET.txtN_R_ACTUAL.Value:=0
  FrmET.txtPIE_PAG.Value:='' //len(Torneos->PIE_PAG)
  FrmET.txtPRIM_CONTR.Value:='' //len(Torneos->PRIM_CONTR)
  FrmET.txtSEGU_CONTR.Value:='' //len(Torneos->SEGU_CONTR)
  FrmET.txtARBIT_PPAL.Value:='' //len(Torneos->ARBIT_PPAL)
  FrmET.txtARBIT_AUX.Value:='' //len(Torneos->ARBIT_AUX)

//  FrmVC.txtNOMBRE.SetFocus

  FrmET.Center
  FrmET.Activate
  RELEASE WINDOW
    
Return nil

/*
 * Editar torneo desde Hojear Torneos
 */

Function EditarTorneoHT()
local nRegTorneo:=torneos->(recno())

torneos->(dbgoto(FrmHT.brwTorneos.Value))
//MsgInfo(str(torneos->(recno())))
EditarTorneo() 
torneos->(dbgoto(nRegTorneo))

FrmHT.brwTorneos.Refresh

Return nil

/*
 * Editar torneo
 */

Function EditarTorneo()

	lTorNuevo=.f.

	//Torneos->(dbgoto(FrmHT.brwTorneos.Value))
	LOAD WINDOW kset AS FrmET

  FrmET.txtFICHERO.Value:=Torneos->FICHERO
  FrmET.txtTORNEO.Value:=Torneos->TORNEO
  FrmET.fecFeCHA_INI.Value:=Torneos->FECHA_INI
  FrmET.fecFeCHA_FIN.Value:=Torneos->FECHA_FIN
  FrmET.txtLOCALIDAD.Value:=Torneos->LOCALIDAD
  FrmET.txtN_JUGS.Value:=Torneos->N_JUGS
  FrmET.txtN_RONDAS.Value:=Torneos->N_RONDAS
  FrmET.txtN_R_ACTUAL.Value:=Torneos->N_R_ACTUAL
  FrmET.txtPIE_PAG.Value:=Torneos->PIE_PAG
  FrmET.txtPRIM_CONTR.Value:=Torneos->PRIM_CONTR
  FrmET.txtSEGU_CONTR.Value:=Torneos->SEGU_CONTR
  FrmET.txtARBIT_PPAL.Value:=Torneos->ARBIT_PPAL
  FrmET.txtARBIT_AUX.Value:=Torneos->ARBIT_AUX

//  FrmVC.txtNOMBRE.SetFocus

  FrmET.Center
  FrmET.Activate
  RELEASE WINDOW

Return Nil

/*
 * Grabar registro de torneo
 */
Function fOk()

if lTorNuevo
	if torneos->(flock())
		torneos->(dbappend())
		fGrabarTorneo()
		torneos->(dbunlock())
		CrearFichsTorneo()
	else
		MsgInfo('No se ha podido crear el torneo')
	endif
else
	if torneos->(flock())
		fGrabarTorneo()
		torneos->(dbunlock())
	else
  		MsgInfo('Error al grabar los datos')
	endif
endif

FrmET.Release

/*
if !lTorNuevo
	FrmHT.brwTorneos.Refresh
endif
*/

Return nil

/*
 * Grabar torneo
 */
 
Function fGrabarTorneo()

  REPLACE Torneos->FICHERO WITH FrmET.txtFICHERO.Value
  REPLACE Torneos->TORNEO WITH FrmET.txtTORNEO.Value
  REPLACE Torneos->FECHA_INI WITH FrmET.fecFeCHA_INI.Value
  REPLACE Torneos->FECHA_FIN WITH FrmET.fecFeCHA_FIN.Value
  REPLACE Torneos->LOCALIDAD WITH FrmET.txtLOCALIDAD.Value
  REPLACE Torneos->N_JUGS WITH FrmET.txtN_JUGS.Value
  REPLACE Torneos->N_RONDAS WITH FrmET.txtN_RONDAS.Value
  REPLACE Torneos->N_R_ACTUAL WITH FrmET.txtN_R_ACTUAL.Value
  REPLACE Torneos->PIE_PAG WITH FrmET.txtPIE_PAG.Value
  REPLACE Torneos->PRIM_CONTR WITH FrmET.txtPRIM_CONTR.Value
  REPLACE Torneos->SEGU_CONTR WITH FrmET.txtSEGU_CONTR.Value
  REPLACE Torneos->ARBIT_PPAL WITH FrmET.txtARBIT_PPAL.Value
  REPLACE Torneos->ARBIT_AUX WITH FrmET.txtARBIT_AUX.Value

Return nil

/*
 * Crear Ficheros del torneo
 */
 
Function CrearFichsTorneo()
local j

cCodTorneo:=alltrim(torneos->fichero)

cFich:='cu'+cCodTorneo
if file(cFich+'.dbf')
	MsgInfo('No se puede crear el torneo, ya existe uno con ese nombre de fichero')
else

	// Crear cuadro
	use (cUnidadProg+':\'+cCaminoProg+'\ks\cuadrow.mod') new
	COPY STRU TO &cFich
	dbclosearea()
	use ('cu'+cCodTorneo) alias cuadro new exclusive

	//Crear desempates. No lo hago aqui, se crearan cuando se necesiten
	/*
	cFichDs='ds'+cCodTorneo
	if !file(cFichDs+'.dbf')
   		use (cUnidadProg+':\'+cCaminoProg+'\ks\desempsw.mod') new
   		copy to &cFichDs
   		dbclosearea()
	endif
	*/

	// Crear tantos registros como jugadores en el cuadro
	for i:=1 to torneos->n_jugs
		cuadro->(dbappend())
		REPLACE cuadro->num with cuadro->(recno())
	next i
	cuadro->(dbgotop())

	// Crear ficheros de rondas con registros suficientes
	use (cUnidadProg+':\'+cCaminoProg+'\ks\ronda.mod') alias rondamod new
	
	for i:=1 to torneos->n_rondas
		cFich:='r'+alltrim(str(i))+cCodTorneo
		dbselectarea('rondamod')
		COPY STRU TO &cFich
		use (cFich) alias ronda new exclusive
		for j:=1 to round(torneos->n_jugs/2,0)
			ronda->(dbappend())
		next j
		ronda->(dbclosearea())
	next i
	rondamod->(dbclosearea())
	
	SiTorneo()
	Frm.Title:=APLICACION+' - '+torneos->torneo

	if torneos->torneo<>cTorneo1 .or. len(trim(cTorneo1))=0

		BEGIN INI FILE GetWindowsFolder()+'\av.ini'
   			SET SECTION 'KersuizoW' ENTRY 'Torneo2'  TO cTorneo1
   			SET SECTION 'KersuizoW' ENTRY 'Fichero2' TO cFichero1
			SET SECTION 'KersuizoW' ENTRY 'Torneo1'  TO torneos->torneo
   			SET SECTION 'KersuizoW' ENTRY 'Fichero1' TO cCamino+'\cu'+cCodTorneo+'.dbf'
		END INI
	endif
	
endif
		
Return nil

/*
 * Validar resultados introducidos
 */
 
Function ValidarRdos()

ronda->(dbgotop())
ronda->(dbeval({ || ProcRdo() } , { || ronda->jug_b<>0 } ))

Return nil

/*
 * Tratar resultado
 */
 
Function ProcRdo()
local cVp:='cuadro->r'+alltrim(str(nRonda))+'p', cVi:='cuadro->r'+alltrim(str(nRonda))+'i'

cuadro->(dbgoto(ronda->jug_b))
if ronda->jug_n=0
    replace &cVp with "1"
else
    replace &cVp with if(ronda->rdo=' 1/2 ' .or. ronda->rdo=' - ','',substr(ronda->rdo,2,1))
    replace &cVi with if('i'$ronda->rdo,'i',' ')
endif
if ronda->jug_n<>0
	cuadro->(dbgoto(ronda->jug_n))
	replace &cVp with if(ronda->rdo=' 1/2 ' .or. ronda->rdo=' - ','',substr(ronda->rdo,4,1))
    replace &cVi with if('i'$ronda->rdo,'i',' ')
endif
 
repl torneos->n_r_actual with nRonda

Return nil

/*
 * Validar emparejamiento introducido
 */
 
Function ValidarPareo()
Private cCJug, cCCol, cCFlt, cErrores:=''

cCJug :='cuadro->r'+alltrim(str(nRonda))+'j'
cCCol :='cuadro->r'+alltrim(str(nRonda))+'c'
cCFlt:='cuadro->r'+alltrim(str(nRonda))+'f'

cuadro->(dbeval( { || QuitaDatRda() } ))

// Calcular clasificacion antes de la ronda
nRonda+=-1
ksclas()
nRonda+=1

// Comprobar que no un jugador no esta repetido o q aparece siendo BAJA
ronda->(dbeval( { || ProcPareo() } , { || ronda->jug_b>0 } ))

// Otras Comprobaciones
cuadro->(dbeval( { || OtrasComprs() } , { || !cuadro->baja } ))

// Si hay errores, mostrarlos
if len(trim(cErrores))>0
	MsgExclamation(cErrores,'Hay errores en el emparejamiento')
endif

replace torneos->n_r_actual with nRonda

Return nil

/*
 * Quitar del Cuadro los datos de la Ronda
 */
 
Function QuitaDatRda()

REPLACE &cCJug with 0, &cCCol with ' '
if nRonda=torneos->n_r_actual
	// No lo entiendo, pero es como estaba puesto en Kersuizo para DOS ??
	REPLACE &cCFlt with ' '
endif

Return nil

/*
 * Procesar una linea del emparejamiento
 */
 
Function ProcPareo()
local nPtosw

if ronda->jug_n>0
	cuadro->(dbgoto(ronda->jug_n))
    nPtosw:=cuadro->ptos
endif
cuadro->(dbgoto(ronda->jug_b))

if &cCJug<>0 .or. len(trim(&cCCol))>0
	cErrores+=if(len(cErrores)>0,CRLF,'')+'El jugador n '+alltrim(str(ronda->jug_b))+' aparece dos veces'
	Return nil
endif

if cuadro->baja   //.AND. CBSNW="S" en Ks para DOS
    cErrores+=if(len(cErrores)>0,CRLF,'')+'El jugador n '+alltrim(str(ronda->jug_b))+' es baja pero ha sido emparejado'
	Return nil
endif

REPLACE &cCJug with ronda->jug_n, &cCCol with if(ronda->jug_n<>0,'B','D')

// Posible anotacion de flotante
if &cCCol<>'D'            //   .AND. NRW=ULT_RONDA+1 Asi tb en Ks DOS
	REPLACE &cCFlt with if(cuadro->ptos>nPtosw,'v',if(cuadro->ptos<nPtosw,'^',' '))
endif

nPtosw:=cuadro->ptos

if ronda->jug_n>0

	cuadro->(dbgoto(ronda->jug_n))

	if &cCJug<>0 .or. len(trim(&cCCol))>0
		cErrores+=if(len(cErrores)>0,CRLF,'')+'El jugador n '+alltrim(str(ronda->jug_n))+' aparece dos veces'
		Return nil
	endif
		
	if cuadro->baja   //.AND. CBSNW="S" en Ks para DOS
    	cErrores+=if(len(cErrores)>0,CRLF,'')+'El jugador n '+alltrim(str(ronda->jug_n))+' es baja pero ha sido emparejado'
		Return nil
	endif

	REPLACE &cCJug with ronda->jug_b, &cCCol with 'N'
	
	// Posible anotacion de flotante
	REPLACE &cCFlt with if(cuadro->ptos>nPtosw,'v',if(cuadro->ptos<nPtosw,'^',' '))

endif	

Return nil

/*
 * Otras comprobaciones tras el emparejamiento
 */
 
Function OtrasComprs()
local cCJug1, cCInc1, cCCol1, cCPts1

// Que no este sin emparejar
if &cCJug<=0 .and. UPPER(&cCCol)<>'D'
      cErrores+=if(len(cErrores)>0,CRLF,'')+'El jugador n '+alltrim(str(cuadro->num))+' no ha sido emparejado'
endif

if nRonda>1
	for i:=1 TO nRonda-1
	
		cCJug1 :='cuadro->r'+alltrim(str(i))+'j'
		cCCol1 :='cuadro->r'+alltrim(str(i))+'c'
		cCInc1 :='cuadro->r'+alltrim(str(i))+'i'
		cCPts1 :='cuadro->r'+alltrim(str(i))+'p'

		// Que no haya jugado antes con el rival
        if &cCJug=&cCJug1 .and. UPPER(&cCInc1)<>"I" .and. &cCJug1<>0
        	cErrores+=if(len(cErrores)>0,CRLF,'')+'El jugador n '+alltrim(str(cuadro->num))+' ya ha jugado con el n '+alltrim(str(&cCJug1))+' en la ronda '+alltrim(str(i))+''
        endif
        
        // Que no haya descansado antes
        if UPPER(&cCCol)='D' .and. UPPER(&cCCol1)='D'
        	cErrores+=if(len(cErrores)>0,CRLF,'')+'El jugador n '+alltrim(str(cuadro->num))+' ya ha descansado en la ronda '+alltrim(str(i))+''
        endif
        
        // Que no descanse quien ha ganado por incomparecencia
        if UPPER(&cCCol)='D' .and. &cCPts1='1' .and. UPPER(&cCInc1)='I'
        	cErrores+=if(len(cErrores)>0,CRLF,'')+'El jugador n '+alltrim(str(cuadro->num))+' descansa y ha ganado por incomparecencia en la ronda '+alltrim(str(i))+''
        endif
        
	next i
	
endif

Return nil

/*
 * Crear orden de fuerza
 */
 
Function CrearOF(cTipo)

if MsgYesNo('Realmente desea crear un nuevo orden de fuerza?'+CRLF+ ;
			'Si ha introducido algun emparejamiento, pasara a ser erroneo',;
			'Atencion')
			
	Do case
	case ctipo='FFF'
		dbcreateindex('ksofi.tmp',;
		'descend(str(cuadro->elofide,4)+str(cuadro->elofeda,4)+str(cuadro->elo,4))+cuadro->cat+cuadro->jug',;
		{ || descend(str(cuadro->elofide,4)+str(cuadro->elofeda,4)+str(cuadro->elo,4))+cuadro->cat+cuadro->jug })
	case cTipo='FF0'
		dbcreateindex('ksofi.tmp',;
		'descend(str(cuadro->elofide,4)+str(cuadro->elo,4))+cuadro->cat+cuadro->jug',;
		{ || descend(str(cuadro->elofide,4)+str(cuadro->elo,4))+cuadro->cat+cuadro->jug })
	case cTipo='F00'
		dbcreateindex('ksofi.tmp',;
		'descend(str(cuadro->elo,4))+cuadro->cat+cuadro->jug',;
		{ || descend(str(cuadro->elo,4))+cuadro->cat+cuadro->jug })
	case cTipo='NUM'
		dbcreateindex('ksofi.tmp','cuadro->num',{ || cuadro->num })
	endcase
	COPY TO ksof.tmp
	cuadro->(dbclosearea())
	ERASE ksofi.tmp
	cFich:='cu'+alltrim(torneos->fichero)+'.dbf'
	DELETE FILE &cFich
	RENAME ksof.tmp TO &cFich
	use (cFich) alias cuadro new exclusive

	cuadro->(dbeval({ || PonNum() }))
			
endif			

Return nil

/*
 * Pone recno en NUM
 */
 
Function PonNum()

	REPLACE cuadro->num with cuadro->(recno())

Return nil

/*
 * Borra un jugador del cuadro
 */
  
Function BorrJugCuadro()

cuadro->(dbgoto(FrmCuadro.BrwCuadro.Value))
if MsgYesNo('Borrar el jugador '+trim(cuadro->jug)+'?'+CRLF+;
	'Recuerde que una vez metido algn emparejamiento'+CRLF+;
	'no debe borrar jugadores sino darlos de baja','Atencin')
	cuadro->(dbdelete())
	PACK
	FrmCuadro.BrwCuadro.Value:=1
	FrmCuadro.BrwCuadro.Refresh
	repl torneos->n_jugs with torneos->n_jugs-1
endif

Return nil

/*
 * Aade un jugador al cuadro
 */
  
Function NuevoJugCuadro()

cuadro->(dbappend())
FrmCuadro.BrwCuadro.Value:=cuadro->(recno())
FrmCuadro.BrwCuadro.Refresh
repl torneos->n_jugs with torneos->n_jugs+1

Return nil

/*
 * Abre torneo desde Hojear Torneos
 */

Function AbrirTorneoHT()
//local cFichT

torneos->(dbgoto(FrmHT.brwTorneos.Value))
//cFichT:=GetCurrentFolder()+'\cu'+alltrim(torneos->fichero)+'.dbf'
cCuadro:=GetCurrentFolder()+'\cu'+alltrim(torneos->fichero)+'.dbf'
FrmHT.Release

AbrirTorneo(cCuadro)


Return nil


/*
 * Abre torneo desde Hojear Torneos
 

Function AbrirTorneoHTBoton()

torneos->(dbgoto(FrmHT.brwTorneos.Value))
cCuadro:=GetCurrentFolder()+'\cu'+alltrim(torneos->fichero)+'.dbf'

FrmHT.Release

dbcloseall()
	SiTorneo()
	
		use (cCuadro) alias cuadro new exclusive
	
	/*  Creo que no hace falta anadirle el camino antes del nombre,
		porque ya estamos en la carpeta esa
	*/
	cTorneos:=left(cCuadro,rat('\',cCuadro))+'torneos'
	SetCurrentFolder(left(cCuadro,rat('\',cCuadro)-1))

	use (cTorneos) alias torneos new exclusive
	cCodTorneo:=substr(cCuadro,rat('\',cCuadro)+1)
	cCodTorneo:=substr(cCodTorneo,3,len(cCodTorneo)-6)
	locate for upper(torneos->fichero)=upper(cCodTorneo)
	
	nCifrasNRdas:=if(torneos->n_rondas>9,2,1)
	Frm.Title:=APLICACION+' - '+torneos->torneo	
	
	// Comprobacin de que el torneo tiene todos los campos necesarios en KersuizoW
	if !FieldInFile("sexo","cuadro")
	   dbselectarea('cuadro')
	   use (cUnidadProg+':\'+cCaminoProg+'\ks\cuadrow.mod')
	   COPY STRU TO cuadrow.tmp
	   use cuadrow.tmp
	   APPEND FROM ('cu'+cCodTorneo)
	   dbclosearea()
	   //ERASE ('cu'+cCodTorneo+'.dbf')
	   if file('cu'+cCodTorneo+'.bak')
	      ERASE ('cu'+cCodTorneo+'.bak')
	   endif
	   RENAME ('cu'+cCodTorneo+'.dbf') TO ('cu'+cCodTorneo+'.bak')
	   RENAME cuadrow.tmp TO ('cu'+cCodTorneo+'.dbf')
	   use ('cu'+cCodTorneo) alias cuadro new exclusive
	
	   MsgInfo('KesuizoW ha aadido al torneo campos necesarios en esta versin'+;
	            CRLF+;        //chr(10)+chr(13)+;
	            'A partir de este momento no se debe utilizar la opcin '+;
	            CRLF+;        //chr(10)+chr(13)+;
	            'ACTUALIZAR ESTRUCTURA DE LOS FICHEROS de Kersuizo para DOS ')
	
	endif
	
	if torneos->torneo<>cTorneo1 .or. len(trim(cTorneo1))=0
	
		BEGIN INI FILE GetWindowsFolder()+'\av.ini'
   			SET SECTION 'KersuizoW' ENTRY 'Torneo2'  TO cTorneo1
   			SET SECTION 'KersuizoW' ENTRY 'Fichero2' TO cFichero1
   			SET SECTION 'KersuizoW' ENTRY 'Torneo1'  TO torneos->torneo
   			SET SECTION 'KersuizoW' ENTRY 'Fichero1' TO cCuadro
		END INI
	endif	

Return nil

/*
 * Borrar torneo desde hojear torneos
 */
 
Function BorrarTorneoHT()

if MsgYesNo('Realmente desea borrar el torneo '+CRLF+alltrim(torneos->torneo)+'?','Cuidado!')

	MsgInfo('Torneo borrado','Atencin!')
endif



Return nil

/*
 */
 